namespace Machinations.Status
{
    /// <summary>
    /// Interface for all statuses
    /// </summary>
    public interface IElementStatus
    {
        int Step { get; }
        void Restore();
        bool NeedNewStatus();
    }
}
